From: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Date: Tue, 9 Dec 2014 13:34:13 +0100
Subject: Add Debian specific SOVERSION

---
 core/roslib/CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

diff --git a/core/roslib/CMakeLists.txt b/core/roslib/CMakeLists.txt
index 09a2c68..1100933 100644
--- a/core/roslib/CMakeLists.txt
+++ b/core/roslib/CMakeLists.txt
@@ -19,6 +19,7 @@ endif()
 
 add_library(roslib src/package.cpp)
 target_link_libraries(roslib ${Boost_LIBRARIES} ${catkin_LIBRARIES})
+set_target_properties(roslib PROPERTIES VERSION ${roslib_VERSION} SOVERSION "0d")
 
 if(NOT (APPLE OR WIN32 OR MINGW OR ANDROID))
   target_link_libraries(roslib rt)
